Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 697288

Summary: media-gfx/{aoi,exiftags,jpeg2ps}: please bump to a newer EAPI
Product: Gentoo Linux Reporter: Michał Górny <mgorny>
Component: Current packagesAssignee: Gentoo Graphics Project <graphics+disabled>
Status: RESOLVED FIXED    
Severity: normal CC: treecleaner, ulm
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 657150    
Deadline: 2019-12-05   

Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-10 13:41:32 UTC
The packages listed in summary still use EAPI 0.  Please bump them to a newer EAPI (7 if possible).
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-31 16:02:28 UTC
Ping.
Comment 2 Larry the Git Cow gentoo-dev 2019-11-06 18:56:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52b95c16030171f54387cfb8dd833e9fd9903ffb

commit 52b95c16030171f54387cfb8dd833e9fd9903ffb
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-11-06 18:53:15 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-11-06 18:56:30 +0000

    package.mask: Last rite media-gfx/{aoi,exiftags,jpeg2ps}
    
    Bug: https://bugs.gentoo.org/697288
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2019-11-06 23:07:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5147fa76d4628a08aa093bad13f38a8cfc6e8638

commit 5147fa76d4628a08aa093bad13f38a8cfc6e8638
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2019-11-06 22:54:54 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2019-11-06 23:00:34 +0000

    media-gfx/jpeg2ps: Update ebuild for EAPI 7.
    
    Closes: https://bugs.gentoo.org/335526
    Closes: https://bugs.gentoo.org/468664
    Bug: https://bugs.gentoo.org/697288
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Ulrich Müller <ulm@gentoo.org>

 media-gfx/jpeg2ps/files/jpeg2ps-1.9-include.diff |  7 ++--
 media-gfx/jpeg2ps/jpeg2ps-1.9-r2.ebuild          | 46 ++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 3 deletions(-)
Comment 4 Larry the Git Cow gentoo-dev 2019-12-06 19:45:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6273a4ae7e96bb0198abf06a6173090b57aff645

commit 6273a4ae7e96bb0198abf06a6173090b57aff645
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-12-06 19:41:28 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-12-06 19:41:28 +0000

    media-gfx/aoi: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/697288
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 media-gfx/aoi/Manifest         |  4 ----
 media-gfx/aoi/aoi-2.5.ebuild   | 50 -----------------------------------------
 media-gfx/aoi/aoi-2.7.2.ebuild | 51 ------------------------------------------
 media-gfx/aoi/metadata.xml     | 11 ---------
 profiles/package.mask          | 10 ---------
 5 files changed, 126 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57bfa15abf9f98d38463a2822213e8b95069eb04

commit 57bfa15abf9f98d38463a2822213e8b95069eb04
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-12-06 19:40:46 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-12-06 19:40:46 +0000

    media-gfx/exiftags: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/697288
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 media-gfx/exiftags/Manifest             |  1 -
 media-gfx/exiftags/exiftags-1.01.ebuild | 27 ---------------------------
 media-gfx/exiftags/metadata.xml         |  8 --------
 profiles/package.mask                   |  5 -----
 4 files changed, 41 deletions(-)